Organization policies
GET
/organizations/{organizationId}/iam-policies
List the IAM policies that are defined for this organization.
Queryparameters
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwoord-payload
results
array of object
verplicht
List of IAM policies.
Onderliggende attributen tonen
results.createdAt
string
verplicht
When the IAM Policy was created.
results.definitions
array of object
verplicht
List of IAM Policy definitions.
Onderliggende attributen tonen
results.definitions.actions
array of string
verplicht
A list of actions
results.definitions.conditionsAll
array of object
Onderliggende attributen tonen
results.definitions.conditionsAll.any
object
results.definitions.effect
string
verplicht
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
results.definitions.resources
array of string
verplicht
A list of resources
results.description
string
IAM Policy description.
results.id
string
verplicht
ID of the IAM Policy.
results.metadata
object
Metadata for the IAM Policy.
Onderliggende attributen tonen
results.metadata.apps
array of string
results.metadata.clouds
array of string
results.metadata.groups
array of string
results.name
string
verplicht
IAM Policy name.
results.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
results.scope
string
verplicht
The scope to which this policy applies.
Possible values: organization, root
results.type
string
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
results.updatedAt
string
verplicht
When the IAM Policy was last updated.
results.usersDependencyCount
integer
The number of users that depend on this IAM policy.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/iam-policies
Create a new IAM policy for this organization.
Verzoek-payload
name
string
verplicht
IAM Policy name.
description
string
IAM Policy description.
definitions
array of object
verplicht
List of IAM Policy definitions.
Onderliggende parameters tonen
definitions.actions
array of string
verplicht
A list of actions
definitions.conditionsAll
array of object
Onderliggende parameters tonen
definitions.conditionsAll.any
object
definitions.effect
string
verplicht
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
verplicht
A list of resources
metadata
object
Metadata for the IAM Role.
Onderliggende parameters tonen
metadata.clouds
array of string
metadata.apps
array of string
metadata.groups
array of string
Antwoord-payload
createdAt
string
verplicht
When the IAM Policy was created.
definitions
array of object
verplicht
List of IAM Policy definitions.
Onderliggende attributen tonen
definitions.actions
array of string
verplicht
A list of actions
definitions.conditionsAll
array of object
Onderliggende attributen tonen
definitions.conditionsAll.any
object
definitions.effect
string
verplicht
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
verplicht
A list of resources
description
string
IAM Policy description.
id
string
verplicht
ID of the IAM Policy.
metadata
object
Metadata for the IAM Policy.
Onderliggende attributen tonen
metadata.apps
array of string
metadata.clouds
array of string
metadata.groups
array of string
name
string
verplicht
IAM Policy name.
rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
scope
string
verplicht
The scope to which this policy applies.
Possible values: organization, root
type
string
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
updatedAt
string
verplicht
When the IAM Policy was last updated.
usersDependencyCount
integer
The number of users that depend on this IAM policy.
Codevoorbeeld
curl -X POST 'https://api.bird.com/organizations/{organizationId}/iam-policies' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/iam-policies/{policyId}
Retrieve a single IAM policy.
Antwoord-payload
createdAt
string
verplicht
When the IAM Policy was created.
definitions
array of object
verplicht
List of IAM Policy definitions.
Onderliggende attributen tonen
definitions.actions
array of string
verplicht
A list of actions
definitions.conditionsAll
array of object
Onderliggende attributen tonen
definitions.conditionsAll.any
object
definitions.effect
string
verplicht
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
verplicht
A list of resources
description
string
IAM Policy description.
id
string
verplicht
ID of the IAM Policy.
metadata
object
Metadata for the IAM Policy.
Onderliggende attributen tonen
metadata.apps
array of string
metadata.clouds
array of string
metadata.groups
array of string
name
string
verplicht
IAM Policy name.
rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
scope
string
verplicht
The scope to which this policy applies.
Possible values: organization, root
type
string
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
updatedAt
string
verplicht
When the IAM Policy was last updated.
usersDependencyCount
integer
The number of users that depend on this IAM policy.
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-policies/{policyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/iam-policies/{policyId}
Remove an IAM policy from the organization.
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/iam-policies/{policyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/iam-policies/{policyId}
Update an IAM policy's properties.
Verzoek-payload
name
string
IAM Policy name.
description
string
IAM Policy description.
definitions
array of object
List of IAM Policy definitions.
Onderliggende parameters tonen
definitions.actions
array of string
verplicht
A list of actions
definitions.conditionsAll
array of object
Onderliggende parameters tonen
definitions.conditionsAll.any
object
definitions.effect
string
verplicht
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
verplicht
A list of resources
Antwoord-payload
createdAt
string
verplicht
When the IAM Policy was created.
definitions
array of object
verplicht
List of IAM Policy definitions.
Onderliggende attributen tonen
definitions.actions
array of string
verplicht
A list of actions
definitions.conditionsAll
array of object
Onderliggende attributen tonen
definitions.conditionsAll.any
object
definitions.effect
string
verplicht
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
definitions.resources
array of string
verplicht
A list of resources
description
string
IAM Policy description.
id
string
verplicht
ID of the IAM Policy.
metadata
object
Metadata for the IAM Policy.
Onderliggende attributen tonen
metadata.apps
array of string
metadata.clouds
array of string
metadata.groups
array of string
name
string
verplicht
IAM Policy name.
rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
scope
string
verplicht
The scope to which this policy applies.
Possible values: organization, root
type
string
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
updatedAt
string
verplicht
When the IAM Policy was last updated.
usersDependencyCount
integer
The number of users that depend on this IAM policy.
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/iam-policies/{policyId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'